package com.qunzhixinxi.hnqz.admin.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 人力家认证状态
 *
 * @author lixuesong
 * @date 2022年03月11日 10:52
 */
@Getter
@AllArgsConstructor
public enum RenlijiaCertStatus {

	// 认证状态
	CER_STATUS_1(1, "认证成功"),
	CER_STATUS_2(2, "认证失败"),
	CER_STATUS_3(3, "认证中"),
	CER_STATUS_4(4, "未认证");

	private final int code;

	private final String message;

	/**
	 * 根据枚举编码获取枚举对象
	 *
	 * @param code 枚举编码
	 * @return 如果存在返回枚举，否则返回 {@code null}
	 */
	public static RenlijiaCertStatus resolve(final int code) {
		for (RenlijiaCertStatus certStatus : RenlijiaCertStatus.values()) {
			if (certStatus.getCode() == code) {
				return certStatus;
			}
		}
		return CER_STATUS_4;

	}
}
